<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.entity.call-step.dataset.pick-dataset.title'"
  [dialogId]="data.id"
  (confirm)="confirm()"
>
  <sqtm-core-dialog-body>
    <div class="m-10">
      <nz-radio-group [(ngModel)]="data.callStep.delegateParam">
        <label
          nz-radio
          [attr.data-test-radio-id]="'available-dataset'"
          [nzValue]="false"
          >{{
            'sqtm-core.entity.call-step.dataset.pick-dataset-among-available'
              | translate
          }}:
        </label>
        @if (data.dataSets.length > 0) {
          <nz-select
            class="select-dataset"
            [ngModel]="
              data.callStep.calledDatasetId != null
                ? data.callStep.calledDatasetId.toString()
                : ''
            "
            [attr.data-test-field-name]="'selected-dataset'"
            (ngModelChange)="changeDataSet($event)"
          >
            @for (option of datasetOptions; track option) {
              <nz-option
                [nzValue]="option.value"
                [nzLabel]="option.label"
              ></nz-option>
            }
          </nz-select>
        } @else {
          <span class="message">{{
            'sqtm-core.entity.call-step.dataset.no-dataset-available'
              | translate
          }}</span>
        }
        <label
          nz-radio
          [attr.data-test-radio-id]="'no-dataset'"
          [nzValue]="true"
          >{{
            'sqtm-core.entity.call-step.dataset.pick-no-dataset' | translate
          }}
          {{ 'sqtm-core.entity.call-step.dataset.delegate' | translate }}</label
        >
        <div
          class="message"
          [innerHTML]="
            'sqtm-core.entity.call-step.dataset.pick-no-dataset-consequences'
              | translate: this.translateParams
          "
        ></div>
      </nz-radio-group>
    </div>
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
